xine-lib: asf_demux_stream_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
asf_demux_stream_t Struct Reference

## Data Fields
int | seq
int | frag_offset
int64_t | timestamp
int | ts_per_kbyte
int | defrag
uint32_t | buf_type
int | stream_id
fifo_buffer_t * | fifo
uint8_t * | buffer
int | skip
int | resync
int | first_seq
int | payload_size
int | palette_count
palette_entry_t | palette [256]

## Field Documentation

## ◆ buf_type

uint32_t asf_demux_stream_t::buf_type

Referenced by asf_parse_packet_compressed_payload(), asf_parse_packet_payload(), asf_read_header(), asf_send_buffer_defrag(), and asf_send_buffer_nodefrag().

## ◆ buffer

uint8_t* asf_demux_stream_t::buffer

Referenced by asf_send_buffer_defrag(), and demux_asf_dispose().

## ◆ defrag

int asf_demux_stream_t::defrag

Referenced by asf_parse_packet_compressed_payload(), and asf_parse_packet_payload().

## ◆ fifo

fifo_buffer_t* asf_demux_stream_t::fifo

Referenced by asf_parse_packet_compressed_payload(), asf_parse_packet_payload(), asf_send_buffer_defrag(), and asf_send_buffer_nodefrag().

## ◆ first_seq

int asf_demux_stream_t::first_seq

## ◆ frag_offset

int asf_demux_stream_t::frag_offset

Referenced by asf_send_buffer_defrag(), and asf_send_buffer_nodefrag().

## ◆ palette

palette_entry_t asf_demux_stream_t::palette[256]

Referenced by asf_read_header(), and asf_send_video_header().

## ◆ palette_count

int asf_demux_stream_t::palette_count

Referenced by asf_read_header(), and asf_send_video_header().

## ◆ payload_size

int asf_demux_stream_t::payload_size

Referenced by asf_parse_packet_compressed_payload(), asf_parse_packet_payload(), asf_send_buffer_defrag(), and asf_send_buffer_nodefrag().

## ◆ resync

int asf_demux_stream_t::resync

Referenced by asf_parse_packet_compressed_payload(), and asf_parse_packet_payload().

## ◆ seq

int asf_demux_stream_t::seq

Referenced by asf_parse_packet_compressed_payload(), and asf_parse_packet_payload_common().

## ◆ skip

int asf_demux_stream_t::skip

Referenced by asf_parse_packet_compressed_payload(), and asf_parse_packet_payload().

## ◆ stream_id

int asf_demux_stream_t::stream_id

## ◆ timestamp

int64_t asf_demux_stream_t::timestamp

Referenced by asf_send_buffer_defrag().

## ◆ ts_per_kbyte

int asf_demux_stream_t::ts_per_kbyte

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/demuxers/demux_asf.c